Results 1 to 7 of 7

Thread: Anki not available for Opensuse?

  1. #1
    stokedfish NNTP User

    Default Anki not available for Opensuse?

    Hello,

    I'm considering switching to Opensuse but I'm dependent on Anki for my Japanese studies. Is it not available on Opensuse?

    Can't find it on the build server or anywhere else...

    http://www.ichi2.net/anki/

    http://www.ichi2.net/anki/download/index.html

    Is there only a version for Ubuntu?

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,383
    Blog Entries
    1

    Default Re: Anki not available for Opensuse?

    You're correct, but this Anki Wiki show how to build an rpm package from the available source code. It has the spec file listed. (You can cut and paste this into a text file).

    Follow the instructions given, then you can use rpm command to install the rpm created. Someone will be able to assist if you have problems.

  3. #3
    stokedfish NNTP User

    Default Re: Anki not available for Opensuse?

    Thanks! But hmm, this looks a bit complicated. Maybe I'll give it a try... ._.

    By the way, I also found this:

    Wishlist Various - openSUSE

    It's listed there! Is there any chance that it will hit the build servers soon? How do they decide what's in there and what not?

    Anki is the BEST flashcard tool out there, plus, it's QT4 and GPL. It's alive and has a nice community. I really hope they will add it to Opensuse!

  4. #4

    Default Re: Anki not available for Opensuse?

    would really like this too...

    tried to use the specfile to build it, but haven't got a clue how to begin...

  5. #5

    Default Re: Anki not available for Opensuse?

    I'm using anki without problem on openSUSE (from source file).

    But it's true that a pre-prepared RPM would be really great.

    Note: Wishlist pages in Wiki aren't used anymore. openFATE is to be used for all package request.

  6. #6

    Default Re: Anki not available for Opensuse?

    there is always alien too for those who dont want to compile, ask the developers of the app to give to support for openSUSE is a good suggestion
    https://features.opensuse.org/308357

  7. #7

    Default Re: Anki not available for Opensuse?

    Note: anki depends on python-sqlalchemy, which is available in the Packman repo only.

    I also asked a Packman maintainer (yaloki) to help in this matter. As a result, anki is now uploaded in the main Packman repository and will be propagated on the Packman repo mirrors in the next couple of hours.

    Stay tuned!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •